This is an automated email from the ASF dual-hosted git repository.

mwalch pushed a commit to branch gh-pages
in repository https://gitbox.apache.org/repos/asf/fluo-website.git


The following commit(s) were added to refs/heads/gh-pages by this push:
     new 5c67d2f  Updates after Fluo Recipes and Fluo YARN are released (#139)
5c67d2f is described below

commit 5c67d2fa19d2281e1e4b051a907ab432226d230c
Author: Mike Walch <mwa...@apache.org>
AuthorDate: Tue Mar 6 18:13:48 2018 -0500

    Updates after Fluo Recipes and Fluo YARN are released (#139)
---
 _config.yml                                        |  4 +++-
 _fluo-1-2/administration/run-fluo-in-yarn.md       | 23 ++++++++++++----------
 _fluo-1-2/getting-started/install-fluo.md          |  6 +++---
 _layouts/default.html                              |  2 +-
 _layouts/recipes-1.2.html                          |  2 +-
 ...s-1.2.0.md => 2018-03-06-fluo-recipes-1.2.0.md} | 15 ++++++--------
 ...yarn-1.0.0.md => 2018-03-06-fluo-yarn-1.0.0.md} | 16 ++++++---------
 pages/api.md                                       |  1 +
 8 files changed, 34 insertions(+), 35 deletions(-)

diff --git a/_config.yml b/_config.yml
index 3747922..dce8de7 100644
--- a/_config.yml
+++ b/_config.yml
@@ -81,7 +81,9 @@ color: default
 # Fluo specific settings
 latest_fluo_release: "1.2.0"
 latest_fluo_minor: "1.2"
-latest_recipes_release: "1.1.0-incubating"
+latest_recipes_release: "1.2.0"
+latest_recipes_minor: "1.2"
+latest_fluo_yarn_release: "1.0.0"
 
 # Sets links to external API
 api_base: "https://javadoc.io/doc/org.apache.fluo";
diff --git a/_fluo-1-2/administration/run-fluo-in-yarn.md 
b/_fluo-1-2/administration/run-fluo-in-yarn.md
index 856c582..0d01958 100644
--- a/_fluo-1-2/administration/run-fluo-in-yarn.md
+++ b/_fluo-1-2/administration/run-fluo-in-yarn.md
@@ -8,14 +8,16 @@ An Apache Fluo application can be started in Hadoop YARN 
using the Fluo YARN lau
 
 ## Requirements
 
-The Fluo YARN launcher requires [Apache Fluo][Fluo] and [Hadoop YARN][YARN] to 
be installed:
+To launch a Fluo application in [YARN], you'll need the following software 
installed.
 
-| Software    | Recommended Version | Minimum Version |
-|-------------|---------------------|-----------------|
-| [Fluo]      | 1.2.0               | 1.2.0           |
-| [YARN]      | 2.7.2               | 2.6.0           |
+| Software             | Recommended Version | Minimum Version |
+|----------------------|---------------------|-----------------|
+| [Fluo][archive]      | 1.2.0               | 1.2.0           |
+| [Fluo YARN][archive] | 1.0.0               | 1.0.0           |
+| [YARN]               | 2.7.2               | 2.6.0           |
 
-See the [related projects page][related] for external projects that may help 
in setting up these dependencies.
+Instructions for installing Fluo YARN can be found below. See the [related 
projects page][related] for external projects
+that may help in setting up all of these dependencies.
 
 ## Set up your Fluo application
 
@@ -26,9 +28,9 @@ and worker processes if you are running in YARN.
 
 ## Install and Configure Fluo YARN launcher
 
-Before you can install the Fluo YARN launcher, you will need to obtain a 
distribution tarball (**fluo-yarn is not yet released, this should happen 
soon**). It is
-recommended that you download the [latest release][release]. You can also 
build a distribution from the
-master branch by following these steps which create a tarball in 
`distribution/target`:
+To install the Fluo YARN launcher, you will need to obtain a distribution 
tarball. It is recommended that you
+download the [latest release]. You can also build a distribution from the 
master branch by following these steps
+which create a tarball in `distribution/target`:
 
     git clone https://github.com/apache/fluo-yarn.git
     cd fluo-yarn/
@@ -95,7 +97,8 @@ When you want you stop your Fluo application, use the the 
YARN resource manager
 [application]: {{ page.docs_base }}/getting-started/create-application
 [initialize]: {{ page.docs_base }}/administration/initialize
 [manage]: {{ page.docs_base }}/administration/manage-applications
-[release]: /download/
+[latest release]: /release/fluo-yarn-{{ site.latest_fluo_yarn_release }}/
+[archive]: /release/
 [fluo-yarn-env.sh]: {{ page.github_yarn}}/distribution/conf/fluo-yarn-env.sh
 [fluo-yarn.properties]: {{ 
page.github_yarn}}/distribution/conf/fluo-yarn.properties
 [log4j.properties]: {{ page.github_yarn}}/distribution/conf/log4j.properties
diff --git a/_fluo-1-2/getting-started/install-fluo.md 
b/_fluo-1-2/getting-started/install-fluo.md
index a88af62..2872dbc 100644
--- a/_fluo-1-2/getting-started/install-fluo.md
+++ b/_fluo-1-2/getting-started/install-fluo.md
@@ -23,8 +23,8 @@ or cluster:
 ## Obtain a distribution
 
 Before you can install Fluo, you will need to obtain a distribution tarball. 
It is recommended that
-you download the [latest release][release]. You can also build a distribution 
from the master
-branch by following these steps which create a tarball in 
`modules/distribution/target`:
+you download the [latest release]. You can also build a distribution from the 
master branch by following
+these steps which create a tarball in `modules/distribution/target`:
 
     git clone https://github.com/apache/fluo.git
     cd fluo/
@@ -110,7 +110,7 @@ Using at least Accumulo 1.6.1 is recommended because 
multiple performance bugs w
 [Zookeeper]: http://zookeeper.apache.org/
 [Java]: http://openjdk.java.net/
 [related]: /related-projects/
-[release]: /download/
+[latest release]: /release/fluo-{{ site.latest_fluo_release }}/
 [fluo-conn.properties]: {{ page.github_base 
}}/modules/distribution/src/main/config/fluo-conn.properties
 [fluo-app.properties]: {{ page.github_base 
}}/modules/distribution/src/main/config/fluo-app.properties
 [log4j.properties]: {{ page.github_base 
}}/modules/distribution/src/main/config/log4j.properties
diff --git a/_layouts/default.html b/_layouts/default.html
index 6401b5c..2797ad7 100644
--- a/_layouts/default.html
+++ b/_layouts/default.html
@@ -38,7 +38,7 @@
               <a class="dropdown-toggle" data-toggle="dropdown" 
href="#">Docs<span class="caret"></span></a>
               <ul class="dropdown-menu">
                 <li><a href="{{ site.baseurl }}/docs/fluo/{{ 
site.latest_fluo_minor }}/">Fluo</a></li>
-                <li><a href="{{ site.baseurl }}/docs/fluo-recipes/{{ 
site.latest_recipes_release }}/">Fluo Recipes</a></li>
+                <li><a href="{{ site.baseurl }}/docs/fluo-recipes/{{ 
site.latest_recipes_minor }}/">Fluo Recipes</a></li>
               </ul>
             </li>
             <li><a href="{{ site.baseurl }}/api/">API</a></li>
diff --git a/_layouts/recipes-1.2.html b/_layouts/recipes-1.2.html
index ad51854..c9b0310 100644
--- a/_layouts/recipes-1.2.html
+++ b/_layouts/recipes-1.2.html
@@ -37,7 +37,7 @@ layout: default
     <p>Fluo Recipes {{ page.version }} documentation &nbsp;&gt;&gt;&nbsp; {{ 
page.category | capitalize | replace: "-", " " }} &nbsp;&gt;&gt;&nbsp; {{ 
page.title }}</p>
     {% endif %}
 
-    <div class="alert alert-danger" style="margin-bottom: 0px;" 
role="alert">This documentation is for a future release of Fluo! <a href="{{ 
site.baseurl }}/docs/fluo/{{ site.latest_fluo_release }}/">View documentation 
for the latest release</a>.</div>
+    <!--div class="alert alert-danger" style="margin-bottom: 0px;" 
role="alert">This documentation is for a future release of Fluo Recipes! <a 
href="{{ site.baseurl }}/docs/fluo-recipes/{{ site.latest_recipes_minor 
}}/">View documentation for the latest release</a>.</div>-->
 
     {% unless page.nodoctitle %}
     <div class="row">
diff --git a/_posts/release/2018-03-01-fluo-recipes-1.2.0.md 
b/_posts/release/2018-03-06-fluo-recipes-1.2.0.md
similarity index 75%
rename from _posts/release/2018-03-01-fluo-recipes-1.2.0.md
rename to _posts/release/2018-03-06-fluo-recipes-1.2.0.md
index b8a21e9..3db0348 100644
--- a/_posts/release/2018-03-01-fluo-recipes-1.2.0.md
+++ b/_posts/release/2018-03-06-fluo-recipes-1.2.0.md
@@ -1,8 +1,6 @@
 ---
 title: Apache Fluo Recipes 1.2.0 released
-date: 2018-03-01 10:30:00 +0000
 version: fluo-recipes-1.2.0
-draft: true
 ---
 
 Apache Fluo Recipes builds on the Apache Fluo API to provide libraries of 
common code for Fluo developers.
@@ -21,7 +19,7 @@ Below are resources for this release:
   </dependency>
   ```
 * A source release tarball is available. It can be verified by these 
[procedures] using these [KEYS]
-  * [fluo-recipes-1.2.0-source-release.tar.gz][src-release] - [ASC][src-asc] 
[MD5][md5] [SHA][sha]
+  * [fluo-recipes-1.2.0-source-release.tar.gz][src-release] - [ASC][src-asc] 
[SHA-512][sha]
 * View the [documentation][docs] for this release
 * Read the javadocs: <a href="{{ site.api_base }}/fluo-recipes-core/1.2.0/" 
target="_blank">core</a>, <a href="{{ site.api_base 
}}/fluo-recipes-accumulo/1.2.0/" target="_blank">accumulo</a>, <a href="{{ 
site.api_base }}/fluo-recipes-kryo/1.2.0/" target="_blank">kryo</a>, <a 
href="{{ site.api_base }}/fluo-recipes-spark/1.2.0/" target="_blank">spark</a>, 
<a href="{{ site.api_base }}/fluo-recipes-test/1.2.0/" target="_blank">test</a>
 * View [all changes][changes].
@@ -40,11 +38,10 @@ Fluo Recipes was updated (in [#146]) to build using Fluo 
1.2.0 and Accumulo 1.7.
 [#144]: https://github.com/apache/fluo-recipes/pull/144
 [#146]: https://github.com/apache/fluo-recipes/pull/146
 [procedures]: https://www.apache.org/info/verification
-[KEYS]: https://www.apache.org/dist/incubator/fluo/KEYS
-[src-release]: 
https://www.apache.org/dyn/closer.lua/incubator/fluo/fluo-recipes/1.2.0/fluo-recipes-1.2.0-source-release.tar.gz
-[src-asc]: 
https://www.apache.org/dist/incubator/fluo/fluo-recipes/1.2.0/fluo-recipes-1.2.0-source-release.tar.gz.asc
-[md5]: 
https://www.apache.org/dist/incubator/fluo/fluo-recipes/1.2.0/fluo-recipes-1.2.0-source-release.tar.gz.md5
-[sha]: 
https://www.apache.org/dist/incubator/fluo/fluo-recipes/1.2.0/fluo-recipes-1.2.0-source-release.tar.gz.sha
+[KEYS]: https://www.apache.org/dist/fluo/KEYS
+[src-release]: 
https://www.apache.org/dyn/closer.lua/fluo/fluo-recipes/1.2.0/fluo-recipes-1.2.0-source-release.tar.gz
+[src-asc]: 
https://www.apache.org/dist/fluo/fluo-recipes/1.2.0/fluo-recipes-1.2.0-source-release.tar.gz.asc
+[sha]: 
https://www.apache.org/dist/fluo/fluo-recipes/1.2.0/fluo-recipes-1.2.0-source-release.tar.gz.sha512
 [docs]: /docs/fluo-recipes/1.2/
 [central]: http://search.maven.org/#search|ga|1|fluo-recipes
-[changes]: 
https://github.com/apache/incubator-fluo-recipes/milestone/2?closed=1
+[changes]: https://github.com/apache/fluo-recipes/milestone/2?closed=1
diff --git a/_posts/release/2018-02-27-fluo-yarn-1.0.0.md 
b/_posts/release/2018-03-06-fluo-yarn-1.0.0.md
similarity index 76%
rename from _posts/release/2018-02-27-fluo-yarn-1.0.0.md
rename to _posts/release/2018-03-06-fluo-yarn-1.0.0.md
index 89230f8..edbe346 100644
--- a/_posts/release/2018-02-27-fluo-yarn-1.0.0.md
+++ b/_posts/release/2018-03-06-fluo-yarn-1.0.0.md
@@ -1,12 +1,10 @@
 ---
 title: Apache Fluo YARN 1.0.0 released
-date: 2018-02-27 15:00:00 +0000
 version: fluo-yarn-1.0.0
-draft: true
 ---
 
 This is the first release of the [Apache Fluo YARN launcher][fluo-yarn] which 
runs Fluo applications in
-[Hadooop YARN][YARN]. The YARN launcher was originally distributed with 
[Fluo][fluo]. It has been
+[Hadoop YARN][YARN]. The YARN launcher was originally distributed with 
[Fluo][fluo]. It has been
 moved to its [own project][fluo-yarn] as Fluo has multiple application 
launchers. Moving the code out
 simplified Fluo and reduced its dependencies.
 
@@ -18,8 +16,8 @@ Below are resources for this release:
 
  * Download a release tarball and verify by these [procedures] using these 
[KEYS]
  
-   | [fluo-yarn-1.0.0-bin.tar.gz][bin-release]            | [ASC][bin-asc] 
[MD5][bin-md5] [SHA][bin-sha] |
-   | [fluo-yarn-1.0.0-source-release.tar.gz][src-release] | [ASC][src-asc] 
[MD5][src-md5] [SHA][src-sha] |
+   | [fluo-yarn-1.0.0-bin.tar.gz][bin-release]            | [ASC][bin-asc] 
[SHA-512][bin-sha] |
+   | [fluo-yarn-1.0.0-source-release.tar.gz][src-release] | [ASC][src-asc] 
[SHA-512][src-sha] |
  * View [documentation][docs] for to learn how to run Fluo application in YARN.
 
 ### Testing
@@ -30,12 +28,10 @@ While testing Fluo 1.2.0, two stress test runs used an 
unreleased version of Flu
 [KEYS]: https://www.apache.org/dist/fluo/KEYS
 [bin-release]: 
https://www.apache.org/dyn/closer.lua/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-bin.tar.gz
 [bin-asc]: 
https://www.apache.org/dist/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-bin.tar.gz.asc
-[bin-md5]: 
https://www.apache.org/dist/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-bin.tar.gz.md5
-[bin-sha]: 
https://www.apache.org/dist/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-bin.tar.gz.sha
-[src-release]: 
https://www.apache.org/dyn/closer.lua/fluo/fluo/1.0.0/fluo-yarn-1.0.0-source-release.tar.gz
+[bin-sha]: 
https://www.apache.org/dist/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-bin.tar.gz.sha512
+[src-release]: 
https://www.apache.org/dyn/closer.lua/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-source-release.tar.gz
 [src-asc]: 
https://www.apache.org/dist/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-source-release.tar.gz.asc
-[src-md5]: 
https://www.apache.org/dist/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-source-release.tar.gz.md5
-[src-sha]: 
https://www.apache.org/dist/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-source-release.tar.gz.sha
+[src-sha]: 
https://www.apache.org/dist/fluo/fluo-yarn/1.0.0/fluo-yarn-1.0.0-source-release.tar.gz.sha512
 [docs]: /docs/fluo/1.2/administration/run-fluo-in-yarn
 [fluo-yarn]: https://github.com/apache/fluo-yarn
 [YARN]: 
https://hadoop.apache.org/docs/r2.8.0/hadoop-yarn/hadoop-yarn-site/YARN.html
diff --git a/pages/api.md b/pages/api.md
index 60db9a1..515201a 100644
--- a/pages/api.md
+++ b/pages/api.md
@@ -18,6 +18,7 @@ redirect_from:
 
 #### Apache Fluo Recipes API
 
+* 1.2.0: <a href="{{ site.api_base }}/fluo-recipes-core/1.2.0/" 
target="_blank">core</a>, <a href="{{ site.api_base 
}}/fluo-recipes-accumulo/1.2.0/" target="_blank">accumulo</a>, <a href="{{ 
site.api_base }}/fluo-recipes-kryo/1.2.0/" target="_blank">kryo</a>, <a 
href="{{ site.api_base }}/fluo-recipes-spark/1.2.0/" target="_blank">spark</a>, 
<a href="{{ site.api_base }}/fluo-recipes-test/1.2.0/" target="_blank">test</a> 
- March 6, 2018
 * 1.1.0-incubating: <a href="{{ site.api_base 
}}/fluo-recipes-core/1.1.0-incubating/" target="_blank">core</a>, <a href="{{ 
site.api_base }}/fluo-recipes-accumulo/1.1.0-incubating/" 
target="_blank">accumulo</a>, <a href="{{ site.api_base 
}}/fluo-recipes-kryo/1.1.0-incubating/" target="_blank">kryo</a>, <a href="{{ 
site.api_base }}/fluo-recipes-spark/1.1.0-incubating/" 
target="_blank">spark</a>, <a href="{{ site.api_base 
}}/fluo-recipes-test/1.1.0-incubating/" target="_blank">test</a> - J [...]
 * 1.0.0-incubating: <a href="{{ site.api_base 
}}/fluo-recipes-core/1.0.0-incubating/" target="_blank">core</a>, <a href="{{ 
site.api_base }}/fluo-recipes-accumulo/1.0.0-incubating/" 
target="_blank">accumulo</a>, <a href="{{ site.api_base 
}}/fluo-recipes-kryo/1.0.0-incubating/" target="_blank">kryo</a>, <a href="{{ 
site.api_base }}/fluo-recipes-spark/1.0.0-incubating/" 
target="_blank">spark</a>, <a href="{{ site.api_base 
}}/fluo-recipes-test/1.0.0-incubating/" target="_blank">test</a> - O [...]
 

-- 
To stop receiving notification emails like this one, please contact
mwa...@apache.org.

Reply via email to